#
# spec file for package argus-client
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define name2 argus-clients
Name:           argus-client
Version:        3.0.8.2
Release:        bp154.1.37
Summary:        Client for Network Monitoring Tool
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Diagnostic
Url:            http://www.qosient.com/argus/
Source:         http://qosient.com/argus/src/%{name2}-%{version}.tar.gz
Patch1:         %{name2}-3.0.6-overflow.patch
Patch2:         %{name2}-3.0.8-fclose.patch
Patch3:         argus-client-fix-build.patch
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  libpcap-devel
BuildRequires:  ncurses-devel
BuildRequires:  readline-devel
BuildRequires:  tcpd-devel
BuildRequires:  pkgconfig(libtirpc)
Requires:       argus

%description
Client for Argus network monitoring tool.

%prep
%setup -q -n %{name2}-%{version}
%patch1
%patch2
%patch3 -p1

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%configure
make %{?_smp_mflags}

%install
install -d -m 755 %{buildroot}/{etc,usr/{bin,share/man}}
install -m 700 bin/arg* %{buildroot}%{_bindir}/
rm -f %{buildroot}%{_bindir}/argus_linux
install -m 755 bin/ra* %{buildroot}%{_bindir}/
( cd man
  cp -a man* %{buildroot}%{_mandir}
  chmod a-x %{buildroot}%{_mandir}/*/* )
rm -f %{buildroot}%{_mandir}/man1/tcpdump.1*
install -m 600 support/Config/rarc %{buildroot}%{_sysconfdir}/ra.conf
find support -type f -exec chmod 0644 {} \;
rm -f %{buildroot}%{_bindir}/argus*
rm -rf %{buildroot}%{_mandir}/man*/._*

%files
%license COPYING
%doc MANIFEST support
%{_mandir}/man*/*
%config %{_sysconfdir}/ra.conf
%{_bindir}/ra*

%changelog
* Sat Jun  8 2019 Bernhard Wiedemann <bwiedemann@suse.com>
- Add argus-client-fix-build.patch to properly fail build on errors
  and avoid these (boo#1102408)
* Sat Mar 17 2018 tchvatal@suse.com
- Format with spec-cleaner and remove not-needed code
- Fix build on Tumbleweed by stating more dependencies
* Wed Sep 28 2016 p.drouand@gmail.com
- Update to version 3.0.8.2
  * Please read the ChangeLog
* Tue Dec 16 2014 p.drouand@gmail.com
- Update to version 3.0.8
  + Please read the ChangeLog
- Adapt patches to upstream changes
  argus-clients-3.0.6-fclose.patch > argus-clients-3.0.8-fclose.patch
* Fri May 25 2012 cfarrell@suse.com
- license update: GPL-2.0+
  COPYING is actually GPL-3.0 but majority of source files are GPL-2.0+ and
  presence of include/argus/CflowdFlowPdu.h (GPL-2.0) means binary is
  GPL-2.0 anyway (upstream aware of this). See also bnc#739260
* Mon May 21 2012 idonmez@suse.com
- Fix build
* Wed Apr 25 2012 vdziewiecki@suse.com
- update to 3.0.6 - bnc#739260 - Multiple licensing problems with
  argus-client 3.0.0
- remove obsolete argus-clients-3.0.0-leak-fix.patch.
* Tue Dec 20 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Sun Mar  7 2010 ro@suse.de
- drop autoreconf for now
* Thu Sep 17 2009 mseben@novell.com
- added leak-fix.patch (bnc#537485)
* Thu Aug 27 2009 mseben@novell.com
- added patch to fclose.patch : fix missing fclose (bnc#533450)
* Thu Aug 13 2009 mseben@novell.com
- fclose.patch : fix missing fclose (bnc#523355)
- removed chmod a+x support/System/magic
* Fri Sep 12 2008 anosek@suse.cz
- updated to version 3.0.0
  - please look at /usr/share/doc/packages/argus-client/doc/CHANGES
    to see the changes
- disabled patches:
  makefile.patch
  strict-aliasing.patch
  codecleanup.patch
  ncurses.patch
  fixes-1.patch
  png.patch
- added overflow.patch
* Fri Mar 30 2007 ssommer@suse.de
- add flex,bison,ncurses-devel to BuildRequires
* Fri Nov 10 2006 ro@suse.de
- fix manpage permissions
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 mmarek@suse.cz
- create PNGs instead of GIFs in ragraph
  [#141230] (png.patch)
* Thu Oct 13 2005 mmarek@suse.cz
- fixed more strict aliasing warnings
* Tue Sep 20 2005 mmarek@suse.cz
- fixed Makefile to abort on errors subdirectories
- fixed gcc warnings
* Tue Apr 12 2005 pth@suse.de
- Clean up the code.
- Use ncurses instead of curses.
* Thu Aug 19 2004 postadal@suse.cz
- updated to version 2.0.6 (fixes 1)
- splitted in two new (sub)packages (argus-server, argus-client)
* Thu Mar 18 2004 postadal@suse.cz
- fixed permissions of man pages and documentation [#36325]
* Thu Feb 12 2004 ro@suse.de
- adapt to change in libpcap: include moved to pcap_bpf.h
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Mon Aug 25 2003 postadal@suse.cz
- modified init script
- added sysconfig metadata [#28836]
- use new stop_on_removal/restart_on_upate macros
* Mon Jun  2 2003 ro@suse.de
- fixed rcargus symlink
* Fri Jan  3 2003 postadal@suse.cz
- added metadata in sysconfig template
* Wed Aug 21 2002 ro@suse.de
- fix build on ppc64
* Fri Aug 16 2002 postadal@suse.cz
- added %%insserv_prereq and %%fillup_prereq to PreReq [#17787]
* Tue Aug  6 2002 adrian@suse.de
- remove tcpdump man page again
  (fixes file conflict with tcpdump package)
* Tue Jul 30 2002 postadal@suse.cz
- udate to version 2.0.5
  * multithreaded, configuration files, syslog support, secure access
  * record changes
  * a lot of new features for server and client
* Wed Jul 24 2002 kukuk@suse.de
- Replase rc.config with sysconfig/argus in README.SuSE
* Wed Jul 24 2002 kukuk@suse.de
- Don't parse rc.config
* Mon Feb 25 2002 postadal@suse.cz
- modified copyright in /etc/init.d/argus
* Tue Jan 15 2002 egmont@suselinux.hu
- removed colons from startup/shutdown messages
* Mon Jan 14 2002 cihlar@suse.cz
- use %%{_libdir}
* Thu Dec 13 2001 ro@suse.de
- moved rc.config.d -> sysconfig
* Tue Dec 11 2001 cihlar@suse.cz
- source /etc/rc.config.d/argus.rc.config in init script
- fixed to remove variables which are in
  /etc/rc.config.d/argus.rc.config now from /etc/rc.config
* Mon Dec 10 2001 cihlar@suse.cz
- removed START_ARGUS
* Fri Nov 23 2001 cihlar@suse.cz
- Fixed Url
* Mon Aug 13 2001 cihlar@suse.cz
- really removed whole files from patches
- fixed README.SuSE
* Thu Jul 26 2001 cihlar@suse.cz
- removed tcpdump man page
* Tue Jul 24 2001 cihlar@suse.cz
- fixed to compile on ia64
- fixed includes
- added BuildRoot
- use suse_update_config
- removed whole files from patches
- added Url
- bzipped sources
* Mon Jul  2 2001 choeger@suse.de
- bugfix: init script was not LSB compliant, Bugzilla ID#8969
- update to version 1.8.1
* Fri Dec  1 2000 ro@suse.de
- use normal tcpd (wrapper-lib)
- fixed startscript
* Wed Mar  1 2000 choeger@suse.de
- added mandir
* Tue Feb 15 2000 aj@suse.de
- fix headers for sparc
* Thu Sep 16 1999 uli@suse.de
- fixed headers for PPC
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Jul 11 1999 ro@suse.de
- libpcap is an extra package now
* Thu Apr 22 1999 ro@suse.de
- fixed for alpha (ip_hl like other little-endian)
* Wed Dec  9 1998 choeger@suse.de
- completed new init-script
* Mon Nov 23 1998 choeger@suse.de
- new version and new init-script
* Tue Oct  6 1998 ro@suse.de
- dont redeclare sys_errlist or strcpy for glibc
- dont cast to a char* where you're not supposed to
* Mon May  4 1998 choeger@suse.de
- new package 1.7.beta.1b
